<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="all">
	<class table="PGD_V" lazy="false" name="gov.va.med.cds.template.generated.pgd.PatientGeneratedDataEvent" >
		<id name="id" type="java.lang.Long">
            <column name="PGD_ID" />
        </id>
	
		<component name="uniqueIdentifier" class="gov.va.med.cds.template.generated.basedatatypes.HL72EntityIdentifier"> 
			<property name="identity" column="UNIQUE_ID" type="java.lang.String" insert="false" update="false" />
		</component>

		<property name="recordStatus" column="RECORD_STATUS" type="java.lang.Integer" />
	</class>

</hibernate-mapping>
